Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class AuthorityInformationAccess

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.x509.AuthorityInformationAccess

All Implemented Interfaces:
  DEREncodable

public class AuthorityInformationAccess
extends ASN1Encodable

The AuthorityInformationAccess object.

     id-pe-authorityInfoAccess OBJECT IDENTIFIER ::= { id-pe 1 }

     AuthorityInfoAccessSyntax  ::=
          SEQUENCE SIZE (1..MAX) OF AccessDescription
     AccessDescription  ::=  SEQUENCE {
           accessMethod          OBJECT IDENTIFIER,
           accessLocation        GeneralName  }

     id-ad OBJECT IDENTIFIER ::= { id-pkix 48 }
     id-ad-caIssuers OBJECT IDENTIFIER ::= { id-ad 2 }
     id-ad-ocsp OBJECT IDENTIFIER ::= { id-ad 1 }

Constructor Summary
`AuthorityInformationAccess(ASN1Sequence seq)`
`AuthorityInformationAccess(DERObjectIdentifier oid, GeneralName location)` create an AuthorityInformationAccess with the oid and location provided.

Method Summary
`AuthorityInformationAccess` | `getInstance(java.lang.Object obj)`
`DERObject` | `toASN1Object()`
`java.lang.String` | `toString()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthorityInformationAccess

    public AuthorityInformationAccess(ASN1Sequence seq)

### AuthorityInformationAccess

    public AuthorityInformationAccess(DERObjectIdentifier oid,
                                      GeneralName location)

  create an AuthorityInformationAccess with the oid and location provided.

Method Detail

### getInstance

    public AuthorityInformationAccess getInstance(java.lang.Object obj)

### toASN1Object

    public DERObject toASN1Object()

  Overrides:
    `toASN1Object` in class `ASN1Encodable`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD